<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<div class="generic-table--container">
  <div class="generic-table--results-container">
    <table class="generic-table types">
      <colgroup>
        <col opHighlightCol>
        <col opHighlightCol>
        <col opHighlightCol>
        <col opHighlightCol>
        <col opHighlightCol>
      </colgroup>
      <thead>
        <tr>
          <th>
            <div class="generic-table--sort-header-outer">
              <div class="generic-table--sort-header">
                <span>
                  <%= Type.human_attribute_name(:active) %>
                </span>
              </div>
            </div>
          </th>
          <th>
            <div class="generic-table--sort-header-outer">
              <div class="generic-table--sort-header">
                <span>
                  <%= Type.human_attribute_name(:name) %>
                </span>
              </div>
            </div>
          </th>
          <th>
            <div class="generic-table--sort-header-outer">
              <div class="generic-table--sort-header">
                <span>
                  <%= Type.human_attribute_name(:is_in_roadmap) %>
                </span>
              </div>
            </div>
          </th>
          <th>
            <div class="generic-table--sort-header-outer">
              <div class="generic-table--sort-header">
                <span>
                  <%= Type.human_attribute_name(:is_milestone) %>
                </span>
              </div>
            </div>
          </th>
        </tr>
      </thead>
      <tbody>
        <% projects_types_id = project.types.pluck(:id) %>
        <% Type.includes(:color).each do |type| %>
          <tr>
            <td class='center'>
              <% type_id = "project_planning_element_type_ids_#{type.id}" %>
              <%= label_tag type_id, t('.enable_type_in_project', type: type.name), class: 'hidden-for-sighted' %>
              <%= check_box_tag "project[type_ids][]",
                                type.id,
                                projects_types_id.include?(type.id),
                                id: type_id,
                                :'data-standard' => type.is_standard %>
              <%= hidden_field_tag 'project[type_ids][]', '', :'data-for' => type_id %>
            </td>
            <td>
              <%= icon_for_type(type) %>
              <%=h type.name %>
            </td>
            <td class='center'>
              <%= checked_image(type.is_in_roadmap) %>
            </td>
            <td class='center'>
              <%= checked_image(type.is_milestone) %>
            </td>
          </tr>
        <% end %>
      </tbody>
    </table>

  </div>
</div>

<div class="generic-table--action-buttons">
  <%= styled_button_tag t(:button_save), class: '-primary -with-icon icon-checkmark' %>
</div>
